# Endpoints

{% hint style="info" %}
API keys are scoped to the permission of the workspace member who created the key. Some endpoints may not be accessible subject to the permissions that workspace member has.

To get the most widely available API permissions, it's recommended that workspace admins or owners create the API key and share (in a limited capacity) with team members as need be. You can always rotate your keys&#x20;
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.countercyclical.io/developers/endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
